Package org.pushingpixels.substance.internal.inputmaps

# Class GnomeInputMapSet

java.lang.Object
org.pushingpixels.substance.internal.inputmaps.BaseInputMapSet
org.pushingpixels.substance.internal.inputmaps.GnomeInputMapSet

All Implemented Interfaces:
  `InputMapSet`

public class GnomeInputMapSet extends BaseInputMapSet

## Nested Class Summary

## Nested classes/interfaces inherited from class org.pushingpixels.substance.internal.inputmaps.BaseInputMapSet

`BaseInputMapSet.ComboActions, BaseInputMapSet.DesktopPaneActions, BaseInputMapSet.FileChooserActions, BaseInputMapSet.ListActions, BaseInputMapSet.RootPaneActions, BaseInputMapSet.ScrollBarActions, BaseInputMapSet.ScrollPaneActions, BaseInputMapSet.SliderActions, BaseInputMapSet.SplitPaneActions, BaseInputMapSet.TabbedPaneActions, BaseInputMapSet.TableActions, BaseInputMapSet.TableHeaderActions, BaseInputMapSet.TextComponentActions, BaseInputMapSet.ToolBarActions, BaseInputMapSet.TreeActions`

## Field Summary

### Fields inherited from class org.pushingpixels.substance.internal.inputmaps.BaseInputMapSet

`COPY, CUT, PASTE, PRESSED, RELEASED`

## Constructor Summary

Constructors
Constructor
Description
`GnomeInputMapSet()`

## Method Summary

Modifier and Type
Method
Description
`SubstanceInputMap`
`getButtonFocusInputMap()`
`SubstanceInputMap`
`getFileChooserAncestorInputMap()`
`SubstanceInputMap`
`getSliderFocusInputMap()`
`SubstanceInputMap`
`getTabbedPaneAncestorInputMap()`
`SubstanceInputMap`
`getTreeFocusInputMap()`

### Methods inherited from class org.pushingpixels.substance.internal.inputmaps.BaseInputMapSet

`getActionControlFocusInputMap, getCheckBoxFocusInputMap, getComboBoxAncestorInputMap, getDesktopAncestorInputMap, getEditorPaneFocusInputMap, getFormattedTextFieldFocusInputMap, getListFocusInputMap, getMultilineTextComponentFocusInputMap, getPasswordFieldFocusInputMap, getRadioButtonFocusInputMap, getRootPaneAncestorInputMap, getScrollBarAncestorInputMap, getScrollPaneAncestorInputMap, getSpinnerAncestorInputMap, getSplitPaneAncestorInputMap, getTabbedPaneFocusInputMap, getTableAncestorInputMap, getTableHeaderAncestorInputMap, getTextAreaFocusInputMap, getTextFieldFocusInputMap, getTextPaneFocusInputMap, getToggleButtonFocusInputMap, getToolBarAncestorInputMap, getTreeAncestorInputMap`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### GnomeInputMapSet

public GnomeInputMapSet()

## Method Details

### getButtonFocusInputMap

public SubstanceInputMap getButtonFocusInputMap()

Specified by:
  `getButtonFocusInputMap` in interface `InputMapSet`
Overrides:
  `getButtonFocusInputMap` in class `BaseInputMapSet`

### getFileChooserAncestorInputMap

public SubstanceInputMap getFileChooserAncestorInputMap()

Specified by:
  `getFileChooserAncestorInputMap` in interface `InputMapSet`
Overrides:
  `getFileChooserAncestorInputMap` in class `BaseInputMapSet`

### getSliderFocusInputMap

public SubstanceInputMap getSliderFocusInputMap()

Specified by:
  `getSliderFocusInputMap` in interface `InputMapSet`
Overrides:
  `getSliderFocusInputMap` in class `BaseInputMapSet`

### getTabbedPaneAncestorInputMap

public SubstanceInputMap getTabbedPaneAncestorInputMap()

Specified by:
  `getTabbedPaneAncestorInputMap` in interface `InputMapSet`
Overrides:
  `getTabbedPaneAncestorInputMap` in class `BaseInputMapSet`

### getTreeFocusInputMap

public SubstanceInputMap getTreeFocusInputMap()

Specified by:
  `getTreeFocusInputMap` in interface `InputMapSet`
Overrides:
  `getTreeFocusInputMap` in class `BaseInputMapSet`